Page MenuHomePhabricator

Notification page describes events with ignored sub-events
Closed, ResolvedPublic

Description

Off topic description split from T76098:

Web notifications for multiple actions only show "updated subscribers"

Related report upstream: https://secure.phabricator.com/T5604

When users do multiple actions at once, the first one being reported is "updated subscribers", and on web notifications is the only update declared. This creates confusion among users that have disabled web notifications for "updated subscribers" actions. Since this is the less relevant of the actions, it should be listed the last, not the first. Maybe web notifications should include all of the actions and not the first one?

In theory, this problem has been fixed upstream just a few hours ago, as part of a bigger task: https://secure.phabricator.com/T5604

Resolving now, but needs to be re-checked after T78243: Next Phabricator upgrade on YYYY-MM-DD (to be defined)


Original task description:

https://phabricator.wikimedia.org/notification/query/unread/ contains "Jane023 updated subscribers of T54564: Allow sitelinks to wikipedia and wikivoyage redirect pages to fix the 'Bonnie and Clyde problem'.Wed, Dec 10, 10:48" but Jane023 actually added a comment, and I even set subscription changes to "Ignore" in my preferences.

When multiple sub-events happen "at once", it might be hard to pick one to tell the user about in the web notification row about the event; but certainly the subevents I ignore are not the ones to pick.

Event Timeline

Nemo_bis created this task.Dec 11 2014, 8:55 AM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis changed Security from none to None.
Nemo_bis added a subscriber: Nemo_bis.
Nemo_bis changed the task status from Duplicate to Resolved.Dec 11 2014, 9:22 AM
Nemo_bis updated the task description. (Show Details)
Nemo_bis reopened this task as Open.May 9 2015, 8:28 PM

This has nothing to do with the task it was merged to.

Nnemo added a subscriber: Nnemo.May 11 2015, 12:24 PM
Aklapper triaged this task as Low priority.Jul 30 2015, 9:44 PM
Aklapper closed this task as Resolved.May 22 2016, 3:34 PM

Under "Maniphest Tasks" on https://phabricator.wikimedia.org/settings/panel/emailpreferences/ I set "Ignore" for "A task's subscribers change" a week ago.

I went through the last four days' (Thu-Sun) 1000 notifications on https://phabricator.wikimedia.org/notification/query/unread/?offset=1000 and I did not find a single "updated subscribers" string.

Hence assuming that T78243 fixed this issue and closing this task.
Please reopen if I misunderstood and if my steps to reproduce were somehow incorrect.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 22 2016, 3:34 PM